For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet account information
        • GETGet compliance actions
        • POSTRecord a compliance action
        • GETGet account history
        • GETReturn account info of current account
        • GETGet account margin configuration
        • POSTSet margin configuration
        • GETGet account profile information
        • PUTUpdates account profile
        • POSTUpdates account max slippage for a specific market
        • POSTUpdates account notification preferences
        • POSTUpdates the last-seen notification timestamp
        • POSTUpdates account profile fields
        • POSTRefresh inventory for authenticated account
        • POSTUpdates account size currency display preference
        • POSTUpdates account profile username fields
        • POSTUpdates account referred_by field
        • GETGet account settings
        • POSTUpdates account trading value display
        • GETList sub-accounts of current account
        • GETGet account summaries (main account + authorized accounts)
        • GETList balances
        • GETList fills
        • GETFunding payments history
        • GETList open positions
        • GETList tradebusts
        • GETList transactions
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAccount

Updates account size currency display preference

POST
https://api.prod.paradex.trade/v1/account/profile/size_currency_display
POST
/v1/account/profile/size_currency_display
$curl -X POST https://api.prod.paradex.trade/v1/account/profile/size_currency_display \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "size_currency_display": "BASE"
>}'
1{
2 "ai_agent_url": "wss://agent.paradex.trade:18789",
3 "discord": {
4 "id": "987654321012345678",
5 "image_url": "https://cdn.discordapp.com/avatars/987654321012345678/a_123abc456def789ghi.gif",
6 "username": "ParadexUser#1234"
7 },
8 "is_username_private": false,
9 "last_seen_notification": 1713401234567,
10 "market_max_slippage": {},
11 "marketed_by": "maxDegen",
12 "nfts": [
13 {
14 "collection_address": "0xabc123def4567890abc123def4567890abc123de",
15 "collection_name": "CryptoKitties",
16 "id": "123456789",
17 "image_url": "https://cryptokitties.co/kitties/123456789.png",
18 "name": "Sassy Kitty",
19 "price": {
20 "currency": "ETH",
21 "decimals": 18,
22 "value": "0.75"
23 }
24 }
25 ],
26 "notifications": {
27 "announcements": false,
28 "fill_sound": true,
29 "fills": true,
30 "orders": true,
31 "transfers": true
32 },
33 "referral": {
34 "commission_rate": "0.1",
35 "commission_volume_cap": "1000000000",
36 "discount_rate": "0.1",
37 "discount_volume_cap": "30000000",
38 "minimum_volume": "0.123",
39 "name": "Referral",
40 "points_bonus_rate": "0.1",
41 "points_bonus_volume_cap": "1000000000",
42 "referral_type": "Referral"
43 },
44 "referral_code": "cryptofox8",
45 "referred_by": "maxDegen",
46 "size_currency_display": "BASE",
47 "tap_share_rate": {
48 "last_updated_at": 1715592690488,
49 "share_rate": "0.2"
50 },
51 "tap_status": "ACTIVE",
52 "twitter": {
53 "id": "112233445566778899",
54 "image_url": "https://pbs.twimg.com/profile_images/112233445566778899/profile_pic_normal.jpg",
55 "username": "ParadexOfficial"
56 },
57 "twitter_following": {},
58 "username": "cryptofox8",
59 "xp_share_rate": {
60 "last_updated_at": 1715592690488,
61 "share_rate": "0.2"
62 }
63}
To set user preferences for the size currency display on the UI, BASE will use base currency, and QUOTE will use quote currency.
Was this page helpful?
Previous

Updates account profile username fields

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

Update account size currency display request
size_currency_displaystringRequired

Response

OK
ai_agent_urlstring
discordobject
is_username_privateboolean
last_seen_notificationinteger
market_max_slippagemap from strings to strings
marketed_bystring
nftslist of objects
notificationsobject
referralobject
referral_codestring
referred_bystring
size_currency_displaystring
tap_share_rateobject
tap_statusstring

TAP affiliate status: “NONE”, “ACTIVE”, or “INACTIVE”

twitterobject
twitter_followingmap from strings to booleans
usernamestring
xp_share_rateobject

Errors

400
Bad Request Error
401
Unauthorized Error